Package org.apache.sling.repoinit.parser.operations

# Class BaseMixinsOperation

java.lang.Object
org.apache.sling.repoinit.parser.operations.Operation
org.apache.sling.repoinit.parser.operations.BaseMixinsOperation

Direct Known Subclasses:
  `AddMixins`, `RemoveMixins`

public abstract class BaseMixinsOperation extends Operation

## Field Summary

### Fields inherited from class org.apache.sling.repoinit.parser.operations.Operation

`DQUOTE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`BaseMixinsOperation(List<String> mixins, List<String> paths)`

## Method Summary

Modifier and Type
Method
Description
`protected @NotNull String`
`asRepoInitString(String action, String operator)`
`List<String>`
`getMixins()`
`protected String`
`getParametersDescription(String operator)`
`List<String>`
`getPaths()`

### Methods inherited from class org.apache.sling.repoinit.parser.operations.Operation

`accept, asRepoInitString, cleanupQuotedString, getParametersDescription, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BaseMixinsOperation

protected BaseMixinsOperation(List<String> mixins, List<String> paths)

## Method Details

### getParametersDescription

protected String getParametersDescription(String operator)

### asRepoInitString

@NotNull protected @NotNull String asRepoInitString(String action, String operator)

### getPaths

public List<String> getPaths()

### getMixins

public List<String> getMixins()